/[packages]/backports/8/qtbase6/current/SPECS/qtbase6.spec
ViewVC logotype

Contents of /backports/8/qtbase6/current/SPECS/qtbase6.spec

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1881410 - (show annotations) (download)
Sun Aug 28 12:22:40 2022 UTC (19 months, 2 weeks ago) by neoclust
File size: 55750 byte(s)
SILENT: Try to fix file list on mga8
1 # Build configuration
2
3 %define build_bootstrap 1
4 %{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}
5
6
7 %ifarch aarch64 armv7hl
8 %global no_sse2 1
9 %endif
10
11 %if 0%{?build_bootstrap}
12 %define build_docs 0
13 %else
14 %define build_docs 0
15 %endif
16
17 %ifarch %{arm} aarch64 %{ix86}
18 %define build_docs 0
19 %endif
20
21 %global platform linux-g++
22
23 %bcond_without postgres
24 %bcond_without mysql
25 %bcond_without sqlite
26 %bcond_without ibase
27 %bcond_without cups
28 %bcond_without examples
29 %bcond_without odbc
30 %bcond_without dbus_linked
31 %bcond_without pcre
32 %bcond_without use_gold_linker
33 %bcond_without journald
34 ## skip for now, until we're better at it
35 %bcond_with tests
36
37 %bcond_with debug
38
39 # FIXME: disable for now, they don't seem to be implemented in Qt 6.1.0
40 %bcond_with tds
41
42 # Versioning
43
44 %define qtmajor 6
45 %define qtminor 3
46 %define qtsubminor 1
47 %define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}
48
49 %define rel 1
50
51 %define snapshot 0
52
53 %if 0%{?snapshot}
54 %define pre rc
55 %endif
56
57 %define qttarballdir qtbase-everywhere-src-%{qtversion}%{?pre:-%{pre}}
58
59 # Library names
60
61 %define libqt %mklibname qt%{qtmajor}base %qtmajor
62 %define libqtdevel %mklibname qt%{qtmajor}base %qtmajor -d
63
64 %define libqtcore %mklibname qt%{qtmajor}core %qtmajor
65 %define libqtcore_d %mklibname qt%{qtmajor}core -d
66
67 %define libqtconcurrent %mklibname qt%{qtmajor}concurrent %qtmajor
68 %define libqtconcurrent_d %mklibname qt%{qtmajor}concurrent -d
69
70 %define libqteglfskmsgbmsupport %mklibname qt%{qtmajor}eglfskmsgbmsupport %qtmajor
71 %define libqteglfskmsgbmsupport_d %mklibname qt%{qtmajor}eglfskmsgbmsupport -d
72
73 %define libqtdbus %mklibname qt%{qtmajor}dbus %qtmajor
74 %define libqtdbus_d %mklibname qt%{qtmajor}dbus -d
75
76 %define libqteglfsdeviceintegration %mklibname qt%{qtmajor}eglfsdeviceintegration %qtmajor
77 %define libqteglfsdeviceintegration_d %mklibname qt%{qtmajor}eglfsdeviceintegration -d
78
79 %define libqteglfskmssupport %mklibname qt%{qtmajor}eglfskmssupport %qtmajor
80 %define libqteglfskmssupport_d %mklibname qt%{qtmajor}eglfskmssupport -d
81
82 %define libqtgui %mklibname qt%{qtmajor}gui %qtmajor
83 %define libqtgui_d %mklibname qt%{qtmajor}gui -d
84
85 %define libqtnetwork %mklibname qt%{qtmajor}network %qtmajor
86 %define libqtnetwork_d %mklibname qt%{qtmajor}network -d
87
88 %define libqtopengl %mklibname qt%{qtmajor}opengl %qtmajor
89 %define libqtopengl_d %mklibname qt%{qtmajor}opengl -d
90
91 %define libqtopenglwidgets %mklibname qt%{qtmajor}openglwidgets %qtmajor
92 %define libqtopenglwidgets_d %mklibname qt%{qtmajor}openglwidgets -d
93
94 %define libqtprintsupport %mklibname qt%{qtmajor}printsupport %qtmajor
95 %define libqtprintsupport_d %mklibname qt%{qtmajor}printsupport -d
96
97 %define libqtsql %mklibname qt%{qtmajor}sql %qtmajor
98 %define libqtsql_d %mklibname qt%{qtmajor}sql -d
99
100 %define libqttest %mklibname qt%{qtmajor}test %qtmajor
101 %define libqttest_d %mklibname qt%{qtmajor}test -d
102
103 %define libqtwidgets %mklibname qt%{qtmajor}widgets %qtmajor
104 %define libqtwidgets_d %mklibname qt%{qtmajor}widgets -d
105
106 %define libqtxcbqpa %mklibname qt%{qtmajor}xcbqpa %qtmajor
107 %define libqtxcbqpa_d %mklibname qt%{qtmajor}xcbqpa -d
108
109 %define libqtxml %mklibname qt%{qtmajor}xml %qtmajor
110 %define libqtxml_d %mklibname qt%{qtmajor}xml -d
111
112 %define libqtdevicediscoverysupport_d %mklibname qt%{qtmajor}devicediscoverysupport -d -s
113 %define libqtfbsupport_d %mklibname qt%{qtmajor}fbsupport -d -s
114 %define libqtinputsupport_d %mklibname qt%{qtmajor}inputsupport -d -s
115 %define libqtkmssupport_d %mklibname qt%{qtmajor}kmssupport -d -s
116
117
118 # Folder macros
119
120 %define _qt6_prefix %{_prefix}
121 %define _qt6_archdatadir %{_libdir}/qt6
122 %define _qt6_bin %{_libdir}/qt6/bin
123 %define _qt6_datadir %{_datadir}/qt6
124 %define _qt6_docdir %{_docdir}/qt6
125 %define _qt6_examplesdir %{_qt6_archdatadir}/examples
126 %define _qt6_headerdir %{_includedir}/qt6
127 %define _qt6_includedir %{_includedir}/qt6
128 %define _qt6_importdir %{_qt6_archdatadir}/imports
129 %define _qt6_libdir %{_libdir}
130 %define _qt6_libexecdir %{_qt6_archdatadir}/libexec
131 %define _qt6_mkspecsdir %{_qt6_archdatadir}/mkspecs
132 %define _qt6_plugindir %{_qt6_archdatadir}/plugins
133 %define _qt6_qmldir %{_qt6_archdatadir}/qml
134 %define _qt6_settingsdir %{_sysconfdir}/xdg
135 %define _qt6_sysconfdir %{_qt6_settingsdir}
136 %define _qt6_translationdir %{_datadir}/qt6/translations
137
138 # Do not check any files in %%{_qt6_plugindir}/platformthemes/ for requires.
139 # Those themes are there for platform integration. If the required libraries are
140 # not there, the platform to integrate with isn't either. Then Qt will just
141 # silently ignore the plugin that fails to load. Thus, there is no need to let
142 # RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
143 %global __requires_exclude_from ^%{_qt6_plugindir}/platformthemes/.*$
144
145 Name: qtbase6
146 Version: %{qtversion}
147 Release: %mkrel %{rel}
148 Summary: Qt GUI toolkit
149 Group: Development/KDE and Qt
150 License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
151 URL: https://www.qt.io/
152 Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
153 # https://bugzilla.redhat.com/show_bug.cgi?id=1227295
154 # https://bugs.mageia.org/show_bug.cgi?id=27054
155 # https://bugs.mageia.org/show_bug.cgi?id=26900
156 Source1: qtlogging.ini
157 Source2: qt6.macros
158
159 ## backport from upstream
160
161 ## Branch patches
162
163 ## Fedora patches
164 # support firebird version 3.x
165 Patch55: qtbase-firebird.patch
166
167 # gcc-11
168 Patch90: qtbase-gcc11.patch
169
170 # allow building against Qt with C++20 enabled (QTBUG-93270)
171 ##Patch100: qtbase-c++20.patch
172
173 ## Mageia patches
174 # (blino) revert upstream patch that forbids -reduce-relocations on ARM
175 # since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
176 Patch200: qtbase5-revert-old-arm-linker-limitation.patch
177
178 ## Trunk patches
179
180 ## Security patches
181
182 ## Testing patches
183
184 BuildRequires: binutils >= 2.18
185 BuildRequires: cmake-rpm-macros
186 BuildRequires: qt6-macros
187 BuildRequires: ninja
188 BuildRequires: cups-devel
189 BuildRequires: mesa-common-devel
190 BuildRequires: pam-devel
191 BuildRequires: perl
192 BuildRequires: python3
193 BuildRequires: cmake(double-conversion)
194 BuildRequires: pkgconfig(alsa)
195 BuildRequires: pkgconfig(dbus-1) >= 0.92
196 BuildRequires: pkgconfig(expat)
197 BuildRequires: pkgconfig(fontconfig)
198 BuildRequires: pkgconfig(freetype2)
199 BuildRequires: pkgconfig(egl)
200 BuildRequires: pkgconfig(gl)
201 BuildRequires: pkgconfig(glib-2.0)
202 BuildRequires: pkgconfig(gstreamer-1.0)
203 BuildRequires: pkgconfig(gstreamer-app-1.0)
204 # gtk+3.0 for qtgtk style
205 BuildRequires: pkgconfig(gtk+-3.0)
206 BuildRequires: pkgconfig(harfbuzz) >= 0.9.42
207 BuildRequires: pkgconfig(libb2)
208 BuildRequires: pkgconfig(libinput)
209 BuildRequires: pkgconfig(libjpeg)
210 BuildRequires: pkgconfig(libmng)
211 BuildRequires: pkgconfig(libpcre2-16)
212 BuildRequires: pkgconfig(libpng)
213 BuildRequires: pkgconfig(libproxy-1.0)
214 BuildRequires: pkgconfig(libpulse)
215 BuildRequires: pkgconfig(libtiff-4)
216 BuildRequires: pkgconfig(libudev)
217 BuildRequires: pkgconfig(libxml-2.0)
218 BuildRequires: pkgconfig(libxslt)
219 BuildRequires: pkgconfig(libzstd)
220 BuildRequires: pkgconfig(md4c)
221 BuildRequires: pkgconfig(ncurses)
222 BuildRequires: pkgconfig(openssl) >= 1.1
223 BuildRequires: pkgconfig(readline)
224 BuildRequires: pkgconfig(sm)
225 BuildRequires: pkgconfig(libsystemd)
226 BuildRequires: pkgconfig(libsystemd)
227 BuildRequires: pkgconfig(tslib)
228 BuildRequires: pkgconfig(vulkan)
229 BuildRequires: pkgconfig(xcb)
230 BuildRequires: pkgconfig(xcb-image)
231 BuildRequires: pkgconfig(xcb-icccm)
232 BuildRequires: pkgconfig(xcb-keysyms)
233 BuildRequires: pkgconfig(xcb-renderutil)
234 BuildRequires: pkgconfig(xcb-xkb) >= 1.10
235 BuildRequires: pkgconfig(xcb-util)
236 BuildRequires: pkgconfig(xkbcommon) >= 0.4.1
237 BuildRequires: pkgconfig(xkbcommon-x11) >= 0.4.1
238 BuildRequires: pkgconfig(xtst)
239 BuildRequires: pkgconfig(zlib)
240
241 %description
242 Qt%{qtmajor} is a GUI software toolkit which simplifies the task of writing and
243 maintaining GUI (Graphical User Interface) applications for the X
244 Window System. Qt is written in C++ and is fully object-oriented.
245
246 This package contains the shared library needed to run Qt
247 applications, as well as the README files for Qt.
248
249 #------------------------------------------------------------------------------
250
251 %package common
252 Summary: Qt%{qtmajor} Config and Language Files
253 Group: Development/KDE and Qt
254 Provides: qt6-common = %{version}-%{release}
255 #TODO Mga6: Split qttranslations6 into subpackages
256 %if ! 0%{?build_bootstrap}
257 Requires: qttranslations6
258 %endif
259 # (doktor5000) glxinfo binary required by script qt6-check-opengl2.sh
260 Requires: glxinfo
261
262 %description common
263 Qt is a GUI software toolkit which simplifies the task of writing and
264 maintaining GUI (Graphical User Interface) applications for the X
265 Window System. Qt is written in C++ and is fully object-oriented.
266
267 Configuration and language files for Qt%{qtmajor}.
268
269 %files common
270 %attr(0755,root,root) %{_sysconfdir}/profile.d/*
271 %dir %{_sysconfdir}/xdg/QtProject
272 %dir %{_qt6_bindir}
273 %{_qt6_bindir}/syncqt.pl
274 %dir %{_qt6_docdir}
275 %{_qt6_docdir}/global/
276 %{_qt6_docdir}/config/
277 %dir %{_qt6_datadir}
278 %{_qt6_datadir}/qtlogging.ini
279 %dir %{_qt6_plugindir}
280 %{_qt6_plugindir}/generic/
281 %{_qt6_plugindir}/imageformats/
282 %{_qt6_plugindir}/platforminputcontexts/
283 %{_qt6_plugindir}/platformthemes/
284 %{_qt6_plugindir}/platforms/
285 %{_qt6_plugindir}/egldeviceintegrations/
286 %{_qt6_plugindir}/printsupport/
287 %{_qt6_plugindir}/xcbglintegrations/
288 %{_qt6_plugindir}/networkinformation/
289 %{_qt6_plugindir}/tls/
290
291 #-------------------------------------------------------------------
292
293 %package -n %{name}-common-devel
294 Summary: Development files for the Qt%{qtmajor} GUI toolkit
295 Group: Development/KDE and Qt
296 Requires(pre): %{name}-common = %{version}
297 Requires: qt6-macros
298 Requires: %{name}-qtpaths
299 Provides: qmake = %{version}-%{release}
300 Provides: qmake-qt6 = %{version}-%{release}
301 Provides: qt%{qtmajor}-qtbase = %{version}-%{release}
302
303 %description -n %{name}-common-devel
304 Common files needed to build application based on Qt%{qtmajor}.
305
306 %post -n %{name}-common-devel
307 update-alternatives --install %{_bindir}/qmake qmake %{_qt6_bindir}/qmake 30
308
309 %postun -n %{name}-common-devel
310 if ! [ -e %{_qt6_bindir}/qmake ]; then
311 update-alternatives --remove qmake %{_qt6_bindir}/qmake
312 fi
313
314 %files -n %{name}-common-devel
315 #{_sysconfdir}/rpm/macros.d/qt6.macros
316 %{_bindir}/androiddeployqt
317 %{_bindir}/androidtestrunner
318 %{_bindir}/qdbuscpp2xml*
319 %{_bindir}/qdbusxml2cpp*
320 %{_bindir}/qmake*
321 %{_bindir}/qt-cmake
322 %{_bindir}/qt-cmake-private
323 %{_bindir}/qt-cmake-standalone-test
324 %{_bindir}/qt-configure-module
325 %{_qt6_bindir}/qmake*
326 %{_qt6_bindir}/android_emulator_launcher.sh
327 %{_qt6_bindir}/androiddeployqt
328 %{_qt6_bindir}/androidtestrunner
329 %{_qt6_bindir}/qdbuscpp2xml
330 %{_qt6_bindir}/qdbusxml2cpp
331 %{_qt6_bindir}/qt-cmake
332 %{_qt6_bindir}/qt-cmake-private
333 %{_qt6_bindir}/qt-cmake-private-install.cmake
334 %{_qt6_bindir}/qt-cmake-standalone-test
335 %{_qt6_bindir}/qt-configure-module
336 %{_qt6_libdir}/cmake_automoc_parser
337 %{_qt6_libdir}/moc*
338 %{_qt6_libdir}/qt-internal-configure-tests
339 %{_qt6_libdir}/qvkgen*
340 %{_qt6_libdir}/qlalr*
341 %{_qt6_libdir}/rcc*
342 %{_qt6_libdir}/tracegen*
343 %{_qt6_libdir}/uic*
344 %{_qt6_libdir}/syncqt.pl
345 %{_qt6_libdir}/qt-testrunner.py
346 %{_qt6_archdatadir}/mkspecs/
347 %dir %{_qt6_libdir}/cmake
348 %dir %{_qt6_libdir}/metatypes
349 %if "%{_qt6_includedir}" != "%{_includedir}"
350 %dir %{_qt6_includedir}
351 %endif
352 %{_qt6_libdir}/cmake/Qt6/
353 %{_qt6_libdir}/cmake/Qt6BuildInternals/
354 %{_qt6_libdir}/cmake/Qt6HostInfo/
355
356 #------------------------------------------------------------------------------
357
358 %package qtpaths
359 Summary: Qt%{qtmajor} Paths Binary
360 Group: Development/KDE and Qt
361
362 %description qtpaths
363 Qt%{qtmajor} Paths Binary.
364
365 %files qtpaths
366 %{_qt6_bindir}/qtpaths*
367 %{_bindir}/qtpaths*
368
369 #------------------------------------------------------------------------------
370
371 %package examples
372 Summary: Example programs made with Qt%{qtmajor}
373 Group: Documentation
374 Provides: qt6-examples = %{version}-%{release}
375
376 %description examples
377 Example programs made with Qt%{qtmajor}.
378
379 %files examples
380 %{_qt6_examplesdir}/*
381
382 #------------------------------------------------------------------------------
383
384 %if 0%{?build_docs}
385 %package doc
386 Summary: QtBase%{qtmajor} APIs and tools docs
387 Group: Documentation
388 BuildArch: noarch
389 BuildRequires: qttools6
390 # This one is required to build QCH-format documentation
391 # for APIs and tools in this package set
392 BuildRequires: qttools6-assistant
393 Recommends: qttools6-assistant
394
395 %description doc
396 Documentation for APIs and tools in QtBase%{qtmajor} package for use with
397 Qt Assistant.
398
399 %files doc
400 %{_qt6_docdir}/*.qch
401 %{_qt6_docdir}/qmake/
402 %{_qt6_docdir}/qtconcurrent/
403 %{_qt6_docdir}/qtcore/
404 %{_qt6_docdir}/qtdbus/
405 %{_qt6_docdir}/qtgui/
406 %{_qt6_docdir}/qtnetwork/
407 %{_qt6_docdir}/qtopengl/
408 %{_qt6_docdir}/qtplatformheaders/
409 %{_qt6_docdir}/qtprintsupport/
410 %{_qt6_docdir}/qtsql/
411 %{_qt6_docdir}/qttestlib/
412 %{_qt6_docdir}/qtwidgets/
413 %{_qt6_docdir}/qtxml/
414 %endif
415
416 #------------------------------------------------------------------------------
417 # CORE QT LIBRARIES
418 #------------------------------------------------------------------------------
419
420 %package -n %{libqtcore}
421 Summary: Qt%{qtmajor} Core Library
422 Group: System/Libraries
423 Requires(pre): %{name}-common = %{version}
424
425 %description -n %{libqtcore}
426 Qt%{qtmajor} Core Component Library.
427
428 The QtCore module contains core non-GUI functionality.
429
430 %files -n %{libqtcore}
431 %{_qt6_libdir}/libQt6Core.so.%{qtmajor}{,.*}
432
433 #------------------------------------------------------------------------------
434
435 %package -n %{libqtcore_d}
436 Summary: Devel files needed to build apps based on QtCore
437 Group: Development/KDE and Qt
438 Requires(pre): %{name}-common = %{version}
439 Requires: %{name}-common-devel = %{version}-%{release}
440 Requires: %{libqtcore} = %{version}
441 Provides: libqtcore6-devel = %{version}
442 Provides: libqt6core-devel = %{version}
443 Provides: qt6core-devel = %{version}
444 Provides: qtcore6-devel = %{version}
445
446 Provides: qt6core-private-devel = %{version}
447 Provides: qtcore6-private-devel = %{version}
448
449 %description -n %{libqtcore_d}
450 Devel files needed to build apps based on QtCore.
451
452 %files -n %{libqtcore_d}
453 %{_qt6_libdir}/libQt6Core.prl
454 %{_qt6_libdir}/libQt6Core.so
455 %{_qt6_libdir}/cmake/Qt6Core/
456 %{_qt6_libdir}/cmake/Qt6/Qt6Config.cmake
457 %{_qt6_libdir}/cmake/Qt6/Qt6ConfigVersion.cmake
458 %{_qt6_includedir}/QtCore/
459 %{_qt6_libdir}/metatypes/qt6core_relwithdebinfo_metatypes.json
460 %{_qt6_libdir}/cmake/Qt6CoreTools/
461 %{_qt6_datadir}/modules/Core.json
462
463 #------------------------------------------------------------------------------
464
465 %package -n %{libqtconcurrent}
466 Summary: Qt%{qtmajor} Concurrent Library
467 Group: System/Libraries
468 Requires(pre): %{name}-common = %{version}
469
470 %description -n %{libqtconcurrent}
471 Qt%{qtmajor} Concurrent Component Library.
472
473 %files -n %{libqtconcurrent}
474 %{_qt6_libdir}/libQt6Concurrent.so.%{qtmajor}{,.*}
475
476 #------------------------------------------------------------------------------
477
478 %package -n %{libqtconcurrent_d}
479 Summary: Devel files needed to build apps based on QtConcurrent
480 Group: Development/KDE and Qt
481 Requires(pre): %{name}-common = %{version}
482 Requires: %{name}-common-devel = %{version}-%{release}
483 Requires: %{libqtconcurrent} = %{version}
484 Provides: libqtconcurrent6-devel = %{version}
485 Provides: libqt6concurrent-devel = %{version}
486 Provides: qt6concurrent-devel = %{version}
487 Provides: qtconcurrent6-devel = %{version}
488
489 %description -n %{libqtconcurrent_d}
490 Devel files needed to build apps based on QtConcurrent.
491
492 %files -n %{libqtconcurrent_d}
493 %{_qt6_libdir}/libQt6Concurrent.so
494 %{_qt6_libdir}/libQt6Concurrent.prl
495 %{_qt6_includedir}/QtConcurrent/
496 %{_qt6_libdir}/cmake/Qt6Concurrent/
497 %{_qt6_datadir}/modules/Concurrent.json
498 %{_qt6_libdir}/metatypes/qt6concurrent_relwithdebinfo_metatypes.json
499 %{_qt6_libdir}/pkgconfig/Qt6Concurrent.pc
500
501 #------------------------------------------------------------------------------
502
503 %package -n %{libqteglfskmsgbmsupport}
504 Summary: Qt%{qtmajor} EglFsKmsGbmSupport Library
505 Group: System/Libraries
506 Requires(pre): %{name}-common = %{version}
507
508 %description -n %{libqteglfskmsgbmsupport}
509 Qt%{qtmajor} EglFsKmsGbmSupport Component Library.
510
511 %files -n %{libqteglfskmsgbmsupport}
512 %{_qt6_libdir}/libQt6EglFsKmsGbmSupport.so.%{qtmajor}{,.*}
513
514 #------------------------------------------------------------------------------
515
516 %package -n %{libqteglfskmsgbmsupport_d}
517 Summary: Devel files needed to build apps based on QtConcurrent
518 Group: Development/KDE and Qt
519 Requires(pre): %{name}-common = %{version}
520 Requires: %{name}-common-devel = %{version}-%{release}
521 Requires: %{libqteglfskmsgbmsupport} = %{version}
522 Provides: libqteglfskmsgbmsupport6-devel = %{version}
523 Provides: libqt6eglfskmsgbmsupport-devel = %{version}
524 Provides: qt6eglfskmsgbmsupport-devel = %{version}
525 Provides: qteglfskmsgbmsupport6-devel = %{version}
526
527 %description -n %{libqteglfskmsgbmsupport_d}
528 Devel files needed to build apps based on QtConcurrent.
529
530 %files -n %{libqteglfskmsgbmsupport_d}
531 %{_qt6_libdir}/libQt6EglFsKmsGbmSupport.so
532 %{_qt6_libdir}/libQt6EglFsKmsGbmSupport.prl
533 %{_qt6_includedir}/QtEglFsKmsGbmSupport/
534 %{_qt6_libdir}/cmake/Qt6EglFsKmsGbmSupportPrivate/
535 %{_qt6_datadir}/modules/EglFsKmsGbmSupportPrivate.json
536 %{_qt6_libdir}/metatypes/qt6eglfskmsgbmsupportprivate_relwithdebinfo_metatypes.json
537
538 #------------------------------------------------------------------------------
539
540 %package -n %{libqtdbus}
541 Summary: Qt%{qtmajor} DBus Library
542 Group: System/Libraries
543 Requires(pre): %{name}-common = %{version}
544
545 %description -n %{libqtdbus}
546 Qt%{qtmajor} DBus Component Library.
547
548 %files -n %{libqtdbus}
549 %{_qt6_libdir}/libQt6DBus.so.%{qtmajor}{,.*}
550
551 #------------------------------------------------------------------------------
552
553 %package -n %{libqtdbus_d}
554 Summary: Devel files needed to build apps based on QtDBus
555 Group: Development/KDE and Qt
556 Requires(pre): %{name}-common = %{version}
557 Requires: %{name}-common-devel = %{version}-%{release}
558 Requires: %{libqtdbus} = %{version}
559 Provides: libqtdbus6-devel = %{version}
560 Provides: libqt6dbus-devel = %{version}
561 Provides: qt6dbus-devel = %{version}
562 Provides: qtdbus6-devel = %{version}
563
564 Provides: qt6dbus-private-devel = %{version}
565 Provides: qtdbus6-private-devel = %{version}
566
567 %description -n %{libqtdbus_d}
568 Devel files needed to build apps based on QtDBus.
569
570 %files -n %{libqtdbus_d}
571 %{_qt6_libdir}/libQt6DBus.prl
572 %{_qt6_libdir}/libQt6DBus.so
573 %{_qt6_includedir}/QtDBus/
574 %{_qt6_libdir}/cmake/Qt6DBusTools/
575 %{_qt6_libdir}/cmake/Qt6DBus/
576 %{_qt6_datadir}/modules/DBus.json
577 %{_qt6_libdir}/metatypes/qt6dbus_relwithdebinfo_metatypes.json
578 #%{_qt6_libdir}/pkgconfig/Qt6DBus.pc
579
580 #------------------------------------------------------------------------------
581
582 %package -n %{libqteglfsdeviceintegration}
583 Summary: Qt%{qtmajor} EglFSDeviceIntegrations Library
584 Group: System/Libraries
585 Requires(pre): %{name}-common = %{version}
586
587 %description -n %{libqteglfsdeviceintegration}
588 Qt%{qtmajor} EglFSDeviceIntegrations Component Library.
589
590 %files -n %{libqteglfsdeviceintegration}
591 %{_qt6_libdir}/libQt6EglFSDeviceIntegration.so.%{qtmajor}{,.*}
592
593 #------------------------------------------------------------------------------
594
595 %package -n %{libqteglfsdeviceintegration_d}
596 Summary: Devel files needed to build apps based on EglFSDeviceIntegrations
597 Group: Development/KDE and Qt
598 Requires(pre): %{name}-common = %{version}
599 Requires: %{name}-common-devel = %{version}-%{release}
600 Requires: %{libqteglfsdeviceintegration} = %{version}
601 Provides: libqteglfsdeviceintegration6-devel = %{version}
602 Provides: libqt6eglfsdeviceintegration-devel = %{version}
603 Provides: qteglfsdeviceintegration6-devel = %{version}
604 Provides: qt6eglfsdeviceintegration-devel = %{version}
605
606 %description -n %{libqteglfsdeviceintegration_d}
607 Devel files needed to build apps based on QtEglFSDeviceIntegrations.
608
609 %files -n %{libqteglfsdeviceintegration_d}
610 %{_qt6_includedir}/QtEglFSDeviceIntegration/
611 %{_qt6_libdir}/libQt6EglFSDeviceIntegration.prl
612 %{_qt6_libdir}/libQt6EglFSDeviceIntegration.so
613 %{_qt6_libdir}/cmake/Qt6EglFSDeviceIntegrationPrivate/
614 %{_qt6_datadir}/modules/EglFSDeviceIntegrationPrivate.json
615 %{_qt6_libdir}/metatypes/qt6eglfsdeviceintegrationprivate_relwithdebinfo_metatypes.json
616
617 #------------------------------------------------------------------------------
618
619 %package -n %{libqteglfskmssupport}
620 Summary: Qt%{qtmajor} EglFsKmsSupport Library
621 Group: System/Libraries
622 Requires(pre): %{name}-common = %{version}
623
624 %description -n %{libqteglfskmssupport}
625 Qt%{qtmajor} EglFsKmsSupport Component Library.
626
627 %files -n %{libqteglfskmssupport}
628 %{_qt6_libdir}/libQt6EglFsKmsSupport.so.%{qtmajor}{,.*}
629
630 #------------------------------------------------------------------------------
631
632 %package -n %{libqteglfskmssupport_d}
633 Summary: Devel files needed to build apps based on EglFsKmsSupport
634 Group: Development/KDE and Qt
635 Requires(pre): %{name}-common = %{version}
636 Requires: %{name}-common-devel = %{version}-%{release}
637 Requires: %{libqteglfskmssupport} = %{version}
638 Provides: libqteglfskmssupport6-devel = %{version}
639 Provides: libqt6eglfskmssupport-devel = %{version}
640 Provides: qteglfskmssupport6-devel = %{version}
641 Provides: qt6eglfskmssupport-devel = %{version}
642
643 %description -n %{libqteglfskmssupport_d}
644 Devel files needed to build apps based on QtEglFsKmsSupport.
645
646 %files -n %{libqteglfskmssupport_d}
647 %{_qt6_libdir}/libQt6EglFsKmsSupport.prl
648 %{_qt6_libdir}/libQt6EglFsKmsSupport.so
649 %{_qt6_includedir}/QtEglFsKmsSupport/
650 %{_qt6_libdir}/cmake/Qt6EglFsKmsSupportPrivate/
651 %{_qt6_datadir}/modules/EglFsKmsSupportPrivate.json
652 %{_qt6_libdir}/metatypes/qt6eglfskmssupportprivate_relwithdebinfo_metatypes.json
653
654 #------------------------------------------------------------------------------
655
656 %package -n %{libqtgui}
657 Summary: Qt%{qtmajor} GUI Library
658 Group: System/Libraries
659 Requires(pre): %{name}-common = %{version}
660
661 %description -n %{libqtgui}
662 Qt%{qtmajor} GUI Component Library.
663
664 The QtGui module extends QtCore with GUI functionality.
665
666 %files -n %{libqtgui}
667 %{_qt6_libdir}/libQt6Gui.so.%{qtmajor}{,.*}
668
669 #------------------------------------------------------------------------------
670
671 %package -n %{libqtgui_d}
672 Summary: Devel files needed to build apps based on QtGui
673 Group: Development/KDE and Qt
674 Requires(pre): %{name}-common = %{version}
675 Requires: %{name}-common = %{version}-%{release}
676 Requires: %{name}-common-devel = %{version}-%{release}
677 #(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
678 Requires: pkgconfig(egl)
679 Requires: pkgconfig(vulkan)
680 Requires: %{libqtgui} = %{version}
681 # referenced by Qt6Gui cmake files
682 Requires: %{libqtxcbqpa_d} = %{version}-%{release}
683 Requires: %{libqteglfsdeviceintegration_d} = %{version}-%{release}
684 %if ! 0%{?build_bootstrap}
685 Requires: qtwayland6
686 %endif
687
688 Provides: libqtgui6-devel = %{version}
689 Provides: libqt6gui-devel = %{version}
690 Provides: qtgui6-devel = %{version}
691 Provides: qt6gui-devel = %{version}
692
693 Provides: qtgui6-private-devel = %{version}
694 Provides: qt6gui-private-devel = %{version}
695
696 %description -n %{libqtgui_d}
697 Devel files needed to build apps based on QtGui.
698
699 %files -n %{libqtgui_d}
700 %{_qt6_libdir}/libQt6Gui.prl
701 %{_qt6_libdir}/libQt6Gui.so
702 %{_qt6_includedir}/QtGui/
703 %{_qt6_libdir}/metatypes/qt6gui_relwithdebinfo_metatypes.json
704 %{_qt6_libdir}/cmake/Qt6Gui/
705 %{_qt6_libdir}/cmake/Qt6GuiTools/
706 %{_qt6_datadir}/modules/Gui.json
707 #%{_qt6_libdir}/pkgconfig/Qt6Core.pc
708 #%{_qt6_libdir}/pkgconfig/Qt6Gui.pc
709 #%{_qt6_libdir}/pkgconfig/Qt6Platform.pc
710
711 #------------------------------------------------------------------------------
712
713 %package -n %{libqtnetwork}
714 Summary: Qt%{qtmajor} Network Library
715 Group: System/Libraries
716 Requires(pre): %{name}-common = %{version}
717
718 %description -n %{libqtnetwork}
719 Qt%{qtmajor} Network Component Library.
720
721 The QtNetwork module provides classes to make network programming easier
722 and portable.
723
724 %files -n %{libqtnetwork}
725 %{_qt6_libdir}/libQt6Network.so.%{qtmajor}{,.*}
726
727 #------------------------------------------------------------------------------
728
729 %package -n %{libqtnetwork_d}
730 Summary: Devel files needed to build apps based on QtNetwork
731 Group: Development/KDE and Qt
732 Requires(pre): %{name}-common = %{version}
733 Requires: %{name}-common-devel = %{version}-%{release}
734 Requires: %{libqtnetwork} = %{version}
735 Requires: pkgconfig(openssl) >= 1.1
736 Provides: libqtnetwork6-devel = %{version}
737 Provides: libqt6network-devel = %{version}
738 Provides: qtnetwork6-devel = %{version}
739 Provides: qt6network-devel = %{version}
740
741 Provides: qtnetwork6-private-devel = %{version}
742 Provides: qt6network-private-devel = %{version}
743
744 %description -n %{libqtnetwork_d}
745 Devel files needed to build apps based on QtNetwork.
746
747 %files -n %{libqtnetwork_d}
748 %{_qt6_libdir}/libQt6Network.prl
749 %{_qt6_libdir}/libQt6Network.so
750 %{_qt6_includedir}/QtNetwork/
751 %{_qt6_libdir}/cmake/Qt6Network/
752 %{_qt6_datadir}/modules/Network.json
753 %{_qt6_libdir}/metatypes/qt6network_relwithdebinfo_metatypes.json
754 #%{_qt6_libdir}/pkgconfig/Qt6Network.pc
755
756 #------------------------------------------------------------------------------
757
758 %package -n %{libqtopengl}
759 Summary: Qt%{qtmajor} OpenGL Library
760 Group: System/Libraries
761 Requires(pre): %{name}-common = %{version}
762
763 %description -n %{libqtopengl}
764 Qt%{qtmajor} OpenGL Component Library.
765
766 The QtOpenGL module offers classes that make it easy to use OpenGL in
767 Qt applications.
768
769 %files -n %{libqtopengl}
770 %{_qt6_libdir}/libQt6OpenGL.so.%{qtmajor}{,.*}
771
772 #------------------------------------------------------------------------------
773
774 %package -n %{libqtopengl_d}
775 Summary: Devel files needed to build apps based on QtOpenGL
776 Group: Development/KDE and Qt
777 Requires(pre): %{name}-common = %{version}
778 Requires: %{name}-common-devel = %{version}-%{release}
779 Requires: %{libqtopengl} = %{version}
780 Provides: libqtopengl6-devel = %{version}
781 Provides: libqt6opengl-devel = %{version}
782 Provides: qtopengl6-devel = %{version}
783 Provides: qt6opengl-devel = %{version}
784
785 Provides: qtopengl6-private-devel = %{version}
786 Provides: qt6opengl-private-devel = %{version}
787
788 %description -n %{libqtopengl_d}
789 Devel files needed to build apps based on QtOpenGL.
790
791 %files -n %{libqtopengl_d}
792 %{_qt6_libdir}/libQt6OpenGL.prl
793 %{_qt6_libdir}/libQt6OpenGL.so
794 %{_qt6_includedir}/QtOpenGL/
795 %{_qt6_datadir}/modules/OpenGL.json
796 %{_qt6_libdir}/cmake/Qt6OpenGL/
797 %{_qt6_libdir}/metatypes/qt6opengl_relwithdebinfo_metatypes.json
798 #%{_qt6_libdir}/pkgconfig/Qt6OpenGL.pc
799
800 #------------------------------------------------------------------------------
801
802 %package -n %{libqtopenglwidgets}
803 Summary: Qt%{qtmajor} OpenGL Widgets Library
804 Group: System/Libraries
805 Requires(pre): %{name}-common = %{version}
806
807 %description -n %{libqtopenglwidgets}
808 Qt%{qtmajor} OpenGL Widgets Component Library.
809
810 The QtOpenGLWidgets module offers classes that make it easy to use
811 OpenGLWidgets in Qt applications.
812
813 %files -n %{libqtopenglwidgets}
814 %{_qt6_libdir}/libQt6OpenGLWidgets.so.%{qtmajor}{,.*}
815
816 #------------------------------------------------------------------------------
817
818 %package -n %{libqtopenglwidgets_d}
819 Summary: Devel files needed to build apps based on QtOpenGLWidgets
820 Group: Development/KDE and Qt
821 Requires(pre): %{name}-common = %{version}
822 Requires: %{name}-common-devel = %{version}-%{release}
823 Requires: %{libqtopenglwidgets} = %{version}
824 Provides: libqtopenglwidgets6-devel = %{version}
825 Provides: libqt6openglwidgets-devel = %{version}
826 Provides: qtopenglwidgets6-devel = %{version}
827 Provides: qt6openglwidgets-devel = %{version}
828
829 Provides: qtopenglwidgets6-private-devel = %{version}
830 Provides: qt6openglwidgets-private-devel = %{version}
831
832 %description -n %{libqtopenglwidgets_d}
833 Devel files needed to build apps based on QtOpenGLWidgets.
834
835 %files -n %{libqtopenglwidgets_d}
836 %{_qt6_includedir}/QtOpenGLWidgets/
837 %{_qt6_libdir}/libQt6OpenGLWidgets.prl
838 %{_qt6_libdir}/libQt6OpenGLWidgets.so
839 %{_qt6_datadir}/modules/OpenGLWidgets.json
840 %{_qt6_libdir}/cmake/Qt6OpenGLWidgets/
841 %{_qt6_libdir}/metatypes/qt6openglwidgets_relwithdebinfo_metatypes.json
842 #%{_qt6_libdir}/pkgconfig/Qt6OpenGLWidgets.pc
843
844 #------------------------------------------------------------------------------
845
846 %package -n %{libqtprintsupport}
847 Summary: Qt%{qtmajor} PrintSupport Library
848 Group: System/Libraries
849 Requires(pre): %{name}-common = %{version}
850
851 %description -n %{libqtprintsupport}
852 Qt%{qtmajor} PrintSupport Component Library.
853
854 %files -n %{libqtprintsupport}
855 %{_qt6_libdir}/libQt6PrintSupport.so.%{qtmajor}{,.*}
856
857 #------------------------------------------------------------------------------
858
859 %package -n %{libqtprintsupport_d}
860 Summary: Devel files needed to build apps based on QtPrintSupport
861 Group: Development/KDE and Qt
862 Requires(pre): %{name}-common = %{version}
863 Requires: %{name}-common-devel = %{version}-%{release}
864 Requires: %{libqtprintsupport} = %{version}
865 Provides: libqtprintsupport6-devel = %{version}
866 Provides: libqt6printsupport-devel = %{version}
867 Provides: qtprintsupport6-devel = %{version}
868 Provides: qt6printsupport-devel = %{version}
869
870 Provides: qtprintsupport6-private-devel = %{version}
871 Provides: qt6printsupport-private-devel = %{version}
872
873 %description -n %{libqtprintsupport_d}
874 Devel files needed to build apps based on QtPrintSupport.
875
876 %files -n %{libqtprintsupport_d}
877 %{_qt6_libdir}/libQt6PrintSupport.so
878 %{_qt6_libdir}/libQt6PrintSupport.prl
879 %{_qt6_includedir}/QtPrintSupport/
880 %{_qt6_datadir}/modules/PrintSupport.json
881 %{_qt6_libdir}/cmake/Qt6PrintSupport/
882 %{_qt6_libdir}/metatypes/qt6printsupport_relwithdebinfo_metatypes.json
883 #%{_qt6_libdir}/pkgconfig/Qt6PrintSupport.pc
884
885 #------------------------------------------------------------------------------
886
887 %package -n %{libqtsql}
888 Summary: Qt%{qtmajor} SQL Library
889 Group: System/Libraries
890 Requires(pre): %{name}-common = %{version}
891 %if ! %without sqlite
892 Requires: %{_lib}qt6-database-plugin-sqlite = %{version}
893 %endif
894 %if ! %without ibase
895 Requires: %{_lib}qt6-database-plugin-ibase = %{version}
896 %endif
897
898 %description -n %{libqtsql}
899 Qt%{qtmajor} SQL Component Library.
900
901 %files -n %{libqtsql}
902 %{_qt6_libdir}/libQt6Sql.so.%{qtmajor}{,.*}
903
904 #------------------------------------------------------------------------------
905
906 %package -n %{libqtsql_d}
907 Summary: Devel files needed to build apps based on QtSql
908 Group: Development/KDE and Qt
909 Requires(pre): %{name}-common = %{version}
910 Requires: %{name}-common-devel = %{version}-%{release}
911 Requires: %{libqtsql} = %{version}
912 %if ! %without odbc
913 Requires: qtbase6-database-plugin-odbc
914 %endif
915 %if ! %without tds
916 Requires: qtbase6-database-plugin-tds
917 %endif
918 %if ! %without mysql
919 Requires: qtbase6-database-plugin-mysql
920 %endif
921 %if ! %without postgres
922 Requires: qtbase6-database-plugin-pgsql
923 %endif
924 %if ! %without sqlite
925 Requires: qtbase6-database-plugin-sqlite
926 %endif
927 %if ! %without ibase
928 Requires: qtbase6-database-plugin-ibase
929 %endif
930 Provides: libqtsql6-devel = %{version}
931 Provides: libqt6sql-devel = %{version}
932 Provides: qt6sql-devel = %{version}
933 Provides: qtsql6-devel = %{version}
934
935 Provides: libqtsql6-private-devel = %{version}
936 Provides: libqt6sql-private-devel = %{version}
937 Provides: qt6sql-private-devel = %{version}
938 Provides: qtsql6-private-devel = %{version}
939
940 %description -n %{libqtsql_d}
941 Devel files needed to build apps based on QtSql.
942
943 %files -n %{libqtsql_d}
944 %{_qt6_libdir}/libQt6Sql.prl
945 %{_qt6_libdir}/libQt6Sql.so
946 %{_qt6_includedir}/QtSql/
947 %{_qt6_datadir}/modules/Sql.json
948 %{_qt6_libdir}/cmake/Qt6Sql/
949 %{_qt6_libdir}/metatypes/qt6sql_relwithdebinfo_metatypes.json
950 #%{_qt6_libdir}/pkgconfig/Qt6Sql.pc
951
952 #------------------------------------------------------------------------------
953
954 %package -n %{libqttest}
955 Summary: Qt%{qtmajor} Test Library
956 Group: System/Libraries
957 Requires(pre): %{name}-common = %{version}
958
959 %description -n %{libqttest}
960 Qt%{qtmajor} Test Component Library.
961
962 The QtTest module provides classes for unit testing Qt applications and
963 libraries.
964
965 %files -n %{libqttest}
966 %{_qt6_libdir}/libQt6Test.so.%{qtmajor}{,.*}
967
968 #------------------------------------------------------------------------------
969
970 %package -n %{libqttest_d}
971 Summary: Devel files needed to build apps based on QtTest
972 Group: Development/KDE and Qt
973 Requires(pre): %{name}-common = %{version}
974 Requires: %{name}-common-devel = %{version}-%{release}
975 Requires: %{libqttest} = %{version}
976 Provides: libqttest6-devel = %{version}
977 Provides: libqt6test-devel = %{version}
978 Provides: qttest6-devel = %{version}
979 Provides: qt6test-devel = %{version}
980
981 Provides: qttest6-private-devel = %{version}
982 Provides: qt6test-private-devel = %{version}
983
984 Requires: qtwidgets6-devel = %{version}-%{release}
985
986 %description -n %{libqttest_d}
987 Devel files needed to build apps based on QtTest.
988
989 %files -n %{libqttest_d}
990 %{_qt6_libdir}/libQt6Test.prl
991 %{_qt6_libdir}/libQt6Test.so
992 %{_qt6_includedir}/QtTest/
993 %{_qt6_datadir}/modules/Test.json
994 %{_qt6_libdir}/cmake/Qt6Test/
995 %{_qt6_libdir}/metatypes/qt6test_relwithdebinfo_metatypes.json
996 #%{_qt6_libdir}/pkgconfig/Qt6Test.pc
997
998 #------------------------------------------------------------------------------
999
1000 %package -n %{libqtwidgets}
1001 Summary: Qt%{qtmajor} Widgets Library
1002 Group: System/Libraries
1003 Requires(pre): %{name}-common = %{version}
1004
1005 %description -n %{libqtwidgets}
1006 Qt%{qtmajor} Widgets Component Library.
1007
1008 %files -n %{libqtwidgets}
1009 %{_qt6_libdir}/libQt6Widgets.so.%{qtmajor}{,.*}
1010
1011 #------------------------------------------------------------------------------
1012
1013 %package -n %{libqtwidgets_d}
1014 Summary: Devel files needed to build apps based on QtWidgets
1015 Group: Development/KDE and Qt
1016 Requires(pre): %{name}-common = %{version}
1017 Requires: %{name}-common-devel = %{version}-%{release}
1018 Requires: %{libqtwidgets} = %{version}
1019 Provides: libqtwidgets6-devel = %{version}
1020 Provides: libqt6widgets-devel = %{version}
1021 Provides: qtwidgets6-devel = %{version}
1022 Provides: qt6widgets-devel = %{version}
1023
1024 Provides: qtwidgets6-private-devel = %{version}
1025 Provides: qt6widgets-private-devel = %{version}
1026
1027 %description -n %{libqtwidgets_d}
1028 Devel files needed to build apps based on QtWidgets.
1029
1030 %files -n %{libqtwidgets_d}
1031 %{_qt6_libdir}/libQt6Widgets.so
1032 %{_qt6_libdir}/libQt6Widgets.prl
1033 %{_qt6_libdir}/cmake/Qt6Widgets/
1034 %{_qt6_includedir}/QtWidgets/
1035 %{_qt6_libdir}/cmake/Qt6WidgetsTools/
1036 %{_qt6_libdir}/metatypes/qt6widgets_relwithdebinfo_metatypes.json
1037 %{_qt6_datadir}/modules/Widgets.json
1038 #%{_qt6_libdir}/pkgconfig/Qt6Widgets.pc
1039
1040 #------------------------------------------------------------------------------
1041
1042 %package -n %{libqtxcbqpa}
1043 Summary: Qt%{qtmajor} XcbQpa Library
1044 Group: System/Libraries
1045 Requires(pre): %{name}-common = %{version}
1046
1047 %description -n %{libqtxcbqpa}
1048 Qt%{qtmajor} XcbQpa Component Library.
1049
1050 %files -n %{libqtxcbqpa}
1051 %{_qt6_libdir}/libQt6XcbQpa.so.%{qtmajor}{,.*}
1052
1053 #------------------------------------------------------------------------------
1054
1055 %package -n %{libqtxcbqpa_d}
1056 Summary: Devel files needed to build apps based on QtXcbQpa
1057 Group: Development/KDE and Qt
1058 Requires(pre): %{name}-common = %{version}
1059 Requires: %{name}-common-devel = %{version}-%{release}
1060 Requires: %{libqtxcbqpa} = %{version}
1061 Provides: libqtxcbqpa6-devel = %{version}
1062 Provides: libqt6xcbqpa-devel = %{version}
1063 Provides: qtxcbqpa6-devel = %{version}
1064 Provides: qt6xcbqpa-devel = %{version}
1065
1066 %description -n %{libqtxcbqpa_d}
1067 Devel files needed to build apps based on QtXcbQpa.
1068
1069 %files -n %{libqtxcbqpa_d}
1070 %{_qt6_libdir}/libQt6XcbQpa.prl
1071 %{_qt6_libdir}/libQt6XcbQpa.so
1072 %{_qt6_datadir}/modules/XcbQpaPrivate.json
1073 %{_qt6_libdir}/cmake/Qt6XcbQpaPrivate/
1074 %{_qt6_libdir}/metatypes/qt6xcbqpaprivate_relwithdebinfo_metatypes.json
1075
1076 #------------------------------------------------------------------------------
1077
1078 %package -n %{libqtxml}
1079 Summary: Qt%{qtmajor} XML Library
1080 Group: System/Libraries
1081 Requires(pre): %{name}-common = %{version}
1082
1083 %description -n %{libqtxml}
1084 Qt%{qtmajor} XML Component Library.
1085
1086 The QtXml module provides a stream reader and writer for XML documents,
1087 and C++ implementations of SAX and DOM.
1088
1089 %files -n %{libqtxml}
1090 %{_qt6_libdir}/libQt6Xml.so.%{qtmajor}{,.*}
1091
1092 #------------------------------------------------------------------------------
1093
1094 %package -n %{libqtxml_d}
1095 Summary: Devel files needed to build apps based on QtXml
1096 Group: Development/KDE and Qt
1097 Requires(pre): %{name}-common = %{version}
1098 Requires: %{name}-common-devel = %{version}-%{release}
1099 Requires: %{libqtxml} = %{version}
1100 Provides: libqtxml6-devel = %{version}
1101 Provides: libqt6xml-devel = %{version}
1102 Provides: qtxml6-devel = %{version}
1103 Provides: qt6xml-devel = %{version}
1104
1105 %description -n %{libqtxml_d}
1106 Devel files needed to build apps based on QtXml.
1107
1108 %files -n %{libqtxml_d}
1109 %{_qt6_libdir}/libQt6Xml.prl
1110 %{_qt6_libdir}/libQt6Xml.so
1111 %{_qt6_includedir}/QtXml/
1112 %{_qt6_datadir}/modules/Xml.json
1113 %{_qt6_libdir}/cmake/Qt6Xml/
1114 %{_qt6_libdir}/metatypes/qt6xml_relwithdebinfo_metatypes.json
1115 #%{_qt6_libdir}/pkgconfig/Qt6Xml.pc
1116
1117 #------------------------------------------------------------------------------
1118
1119 %package -n %{libqtdevel}
1120 Summary: Development files for the Qt%{qtmajor} GUI toolkit
1121 Group: Development/KDE and Qt
1122 Requires(pre): %{name}-common = %{version}
1123 Provides: qt6-devel = %{version}-%{release}
1124 Provides: qtbase6-devel = %{version}-%{release}
1125 Provides: libqtbase6-devel = %{version}-%{release}
1126 Provides: libqt6-devel = %{version}-%{release}
1127
1128 Requires: %{name}-common-devel = %{version}-%{release}
1129 Requires: %{libqtcore_d} = %{version}-%{release}
1130 Requires: %{libqtconcurrent_d} = %{version}-%{release}
1131 Requires: %{libqteglfskmsgbmsupport_d} = %{version}-%{release}
1132 Requires: %{libqtdbus_d} = %{version}-%{release}
1133 Requires: %{libqteglfsdeviceintegration_d} = %{version}-%{release}
1134 Requires: %{libqteglfskmssupport_d} = %{version}-%{release}
1135 Requires: %{libqtgui_d} = %{version}-%{release}
1136 Requires: %{libqtnetwork_d} = %{version}-%{release}
1137 Requires: %{libqtopengl_d} = %{version}-%{release}
1138 Requires: %{libqtopenglwidgets_d} = %{version}-%{release}
1139 Requires: %{libqtprintsupport_d} = %{version}-%{release}
1140 Requires: %{libqtsql_d} = %{version}-%{release}
1141 Requires: %{libqttest_d} = %{version}-%{release}
1142 Requires: %{libqtwidgets_d} = %{version}-%{release}
1143 Requires: %{libqtxcbqpa_d} = %{version}-%{release}
1144 Requires: %{libqtxml_d} = %{version}-%{release}
1145
1146 %description -n %{libqtdevel}
1147 The %{libqtdevel} package contains the files necessary to develop
1148 applications using the Qt GUI toolkit: the header files, the Qt
1149 meta object compiler, and the static libraries. See the address
1150 https://qt-project.org/ for more information about Qt%{qtmajor}.
1151
1152 %files -n %{libqtdevel}
1153
1154 #------------------------------------------------------------------------------
1155 # SUPPORT STATIC LIBRARIES
1156 #------------------------------------------------------------------------------
1157
1158 %package -n %{libqtdevicediscoverysupport_d}
1159 Summary: Devel files needed to build apps based on DeviceDiscoverySupport
1160 Group: Development/KDE and Qt
1161 Requires(pre): %{name}-common = %{version}
1162 Requires: %{name}-common-devel = %{version}-%{release}
1163 Provides: libqtdevicediscoverysupport6-devel = %{version}
1164 Provides: libqt6devicediscoverysupport-devel = %{version}
1165 Provides: qtdevicediscoverysupport6-devel = %{version}
1166 Provides: qt6devicediscoverysupport-devel = %{version}
1167
1168 %description -n %{libqtdevicediscoverysupport_d}
1169 Devel files needed to build apps based on QtDeviceDiscoverySupport.
1170
1171 %files -n %{libqtdevicediscoverysupport_d}
1172 %{_qt6_libdir}/libQt6DeviceDiscoverySupport.a
1173 %{_qt6_libdir}/libQt6DeviceDiscoverySupport.prl
1174 %{_qt6_includedir}/QtDeviceDiscoverySupport/
1175 %{_qt6_libdir}/cmake/Qt6DeviceDiscoverySupportPrivate/
1176 %{_qt6_datadir}/modules/DeviceDiscoverySupportPrivate.json
1177 %{_qt6_libdir}/metatypes/qt6devicediscoverysupportprivate_relwithdebinfo_metatypes.json
1178
1179 #------------------------------------------------------------------------------
1180
1181 %package -n %{libqtfbsupport_d}
1182 Summary: Devel files needed to build apps based on FbSupport
1183 Group: Development/KDE and Qt
1184 Requires(pre): %{name}-common = %{version}
1185 Requires: %{name}-common-devel = %{version}-%{release}
1186 Provides: libqtfbsupport6-devel = %{version}
1187 Provides: libqt6fbsupport-devel = %{version}
1188 Provides: qtfbsupport6-devel = %{version}
1189 Provides: qt6fbsupport-devel = %{version}
1190
1191 %description -n %{libqtfbsupport_d}
1192 Devel files needed to build apps based on QtFbSupport.
1193
1194 %files -n %{libqtfbsupport_d}
1195 %{_qt6_libdir}/libQt6FbSupport.a
1196 %{_qt6_libdir}/libQt6FbSupport.prl
1197 %{_qt6_includedir}/QtFbSupport/
1198 %{_qt6_libdir}/cmake/Qt6FbSupportPrivate/
1199 %{_qt6_datadir}/modules/FbSupportPrivate.json
1200 %{_qt6_libdir}/metatypes/qt6fbsupportprivate_relwithdebinfo_metatypes.json
1201
1202 #------------------------------------------------------------------------------
1203
1204 %package -n %{libqtinputsupport_d}
1205 Summary: Devel files needed to build apps based on InputSupport
1206 Group: Development/KDE and Qt
1207 Requires(pre): %{name}-common = %{version}
1208 Requires: %{name}-common-devel = %{version}-%{release}
1209 Provides: libqtinputsupport6-devel = %{version}
1210 Provides: libqt6inputsupport-devel = %{version}
1211 Provides: qtinputsupport6-devel = %{version}
1212 Provides: qt6inputsupport-devel = %{version}
1213
1214 %description -n %{libqtinputsupport_d}
1215 Devel files needed to build apps based on QtInputSupport.
1216
1217 %files -n %{libqtinputsupport_d}
1218 %{_qt6_libdir}/libQt6InputSupport.a
1219 %{_qt6_libdir}/libQt6InputSupport.prl
1220 %{_qt6_includedir}/QtInputSupport/
1221 %{_qt6_libdir}/cmake/Qt6InputSupportPrivate/
1222 %{_qt6_datadir}/modules/InputSupportPrivate.json
1223 %{_qt6_libdir}/metatypes/qt6inputsupportprivate_relwithdebinfo_metatypes.json
1224
1225 #------------------------------------------------------------------------------
1226
1227 %package -n %{libqtkmssupport_d}
1228 Summary: Devel files needed to build apps based on KmsSupport
1229 Group: Development/KDE and Qt
1230 Requires(pre): %{name}-common = %{version}
1231 Requires: %{name}-common-devel = %{version}-%{release}
1232 Provides: libqtkmssupport6-devel = %{version}
1233 Provides: libqt6kmssupport-devel = %{version}
1234 Provides: qtkmssupport6-devel = %{version}
1235 Provides: qt6kmssupport-devel = %{version}
1236
1237 %description -n %{libqtkmssupport_d}
1238 Devel files needed to build apps based on QtKmsSupport.
1239
1240 %files -n %{libqtkmssupport_d}
1241 %{_qt6_libdir}/libQt6KmsSupport.a
1242 %{_qt6_libdir}/libQt6KmsSupport.prl
1243 %{_qt6_includedir}/QtKmsSupport/
1244 %{_qt6_libdir}/cmake/Qt6KmsSupportPrivate/
1245 %{_qt6_datadir}/modules/KmsSupportPrivate.json
1246 %{_qt6_libdir}/metatypes/qt6kmssupportprivate_relwithdebinfo_metatypes.json
1247
1248 #------------------------------------------------------------------------------
1249 # DATABASE PLUGINS
1250 #------------------------------------------------------------------------------
1251
1252 %if ! %without odbc
1253
1254 %package -n %{_lib}qt6-database-plugin-odbc
1255 Summary: Qt%{qtmajor} Database ODBC Database Plugin
1256 Group: Databases
1257 BuildRequires: unixODBC-devel
1258
1259 Provides: qt6-database-plugin-odbc = %{version}-%{release}
1260 Provides: qtbase6-database-plugin-odbc = %{version}-%{release}
1261
1262 %description -n %{_lib}qt6-database-plugin-odbc
1263 The QODBC driver allows you to connect to an ODBC (Open Database
1264 Connectivity) driver manager and access the available data sources.
1265
1266 %files -n %{_lib}qt6-database-plugin-odbc
1267 %{_qt6_plugindir}/sqldrivers/libqsqlodbc.so
1268
1269 %endif
1270
1271 #------------------------------------------------------------------------------
1272
1273 %if ! %without mysql
1274
1275 %package -n %{_lib}qt6-database-plugin-mysql
1276 Summary: Qt%{qtmajor} MYSQL Database Plugin
1277 Group: Databases
1278 BuildRequires: mysql-devel
1279
1280 Provides: qt6-database-plugin-mysql = %{version}-%{release}
1281 Provides: qtbase6-database-plugin-mysql = %{version}-%{release}
1282
1283 %description -n %{_lib}qt6-database-plugin-mysql
1284 Database plugin for mysql Qt support.
1285
1286 %files -n %{_lib}qt6-database-plugin-mysql
1287 %{_qt6_plugindir}/sqldrivers/libqsqlmysql.so
1288
1289 %endif
1290
1291 #------------------------------------------------------------------------------
1292
1293 %if ! %without sqlite
1294
1295 %package -n %{_lib}qt6-database-plugin-sqlite
1296 Summary: Qt%{qtmajor} SQLITE Database Plugin
1297 Group: Databases
1298 BuildRequires: pkgconfig(sqlite3)
1299
1300 Provides: qt6-database-plugin-sqlite = %{version}-%{release}
1301 Provides: qtbase6-database-plugin-sqlite = %{version}-%{release}
1302
1303 %description -n %{_lib}qt6-database-plugin-sqlite
1304 The Qt SQLite plugin makes it possible to access SQLite databases.
1305
1306 %files -n %{_lib}qt6-database-plugin-sqlite
1307 %{_qt6_plugindir}/sqldrivers/libqsqlite.so
1308 %endif
1309
1310 #------------------------------------------------------------------------------
1311
1312 %if ! %without tds
1313
1314 %package -n %{_lib}qt6-database-plugin-tds
1315 Summary: Qt%{qtmajor} FREETDS Database Plugin
1316 Group: Databases
1317 BuildRequires: freetds-devel
1318
1319 Provides: qt6-database-plugin-tds = %{version}-%{release}
1320 Provides: qtbase6-database-plugin-tds = %{version}-%{release}
1321
1322 %description -n %{_lib}qt6-database-plugin-tds
1323 Database plugin for freetds Qt support.
1324
1325 %files -n %{_lib}qt6-database-plugin-tds
1326 %{_qt6_plugindir}/sqldrivers/libqsqltds.so
1327
1328 %endif
1329
1330 #------------------------------------------------------------------------------
1331
1332 %if ! %without ibase
1333
1334 %package -n %{_lib}qt6-database-plugin-ibase
1335 Summary: Qt%{qtmajor} Interbase Database Plugin
1336 Group: Databases
1337 BuildRequires: firebird-devel
1338 BuildRequires: pkgconfig(fbclient)
1339
1340 Provides: qt6-database-plugin-ibase = %{version}-%{release}
1341 Provides: qtbase6-database-plugin-ibase = %{version}-%{release}
1342
1343 %description -n %{_lib}qt6-database-plugin-ibase
1344 Database plugin for interbase Qt support.
1345
1346 %files -n %{_lib}qt6-database-plugin-ibase
1347 %{_qt6_plugindir}/sqldrivers/libqsqlibase.so
1348
1349 %endif
1350
1351 #------------------------------------------------------------------------------
1352
1353 %if ! %without postgres
1354
1355 %package -n %{_lib}qt6-database-plugin-pgsql
1356 Summary: Qt%{qtmajor} PGSQL Database Plugin
1357 Group: Databases
1358 BuildRequires: postgresql-devel
1359 BuildRequires: libpq-devel
1360
1361 Provides: qt6-database-plugin-pgsql = %{version}-%{release}
1362 Provides: qtbase6-database-plugin-pgsql = %{version}-%{release}
1363
1364 %description -n %{_lib}qt6-database-plugin-pgsql
1365 Database plugin for pgsql Qt support.
1366
1367 %files -n %{_lib}qt6-database-plugin-pgsql
1368 %{_qt6_plugindir}/sqldrivers/libqsqlpsql.so
1369
1370 %endif
1371
1372 #------------------------------------------------------------------------------
1373
1374 %prep
1375 %setup -q -n qtbase-everywhere-src-%{qtversion}
1376 %autopatch -p1
1377 # Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
1378 # which would have the side effect that plain 'qmake' would use them as well
1379 # (i.e. even when not building an rpm), which is not really wanted. Our
1380 # packages are built with %%qmake_qt6 (qt6.macros) which already overrides the
1381 # flags, so altering qmake default configuration for that is unnecessary.
1382 # Since the Qt configure script doesn't support defining custom flags, we
1383 # still have to temporarily override the flags below - they are restored in
1384 # %%install. -Anssi
1385 cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
1386 cat >> mkspecs/linux-g++/qmake.conf <<EOF
1387 QMAKE_CFLAGS = %{optflags}
1388 QMAKE_CXXFLAGS = %{optflags}
1389 QMAKE_LFLAGS = %{ldflags}
1390 QMAKE_STRIP =
1391 # Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
1392 # just get appended to $QMAKE_LFLAGS instead of replacing it.
1393 EOF
1394
1395 sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE += %{optflags} -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf
1396
1397 sed -i 's|libmd4c|md4c|' src/gui/CMakeLists.txt
1398
1399 %build
1400 export QTDIR=`/bin/pwd`
1401 export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
1402 # Don't include headers or link with /usr/X11R6/{include,lib}
1403 perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf
1404
1405 #------------------------------------------------------------------------------
1406
1407 ## FIXME/TODO:
1408 # * for %%ix86, add sse2 enabled builds for Qt6Gui, Qt6Core, Qt6Network, see also:
1409 # http://anonscm.debian.org/cgit/pkg-kde/qt/qtbase.git/tree/debian/rules (234-249)
1410
1411 # -no-pch: do not use pre compiled headers (in order to be able to rebuild the gui submodule)
1412 # -no-feature-relocatable is needed to support relocated prefix etc.,
1413 # see QTBUG-78948 and QTBUG-82589 (mga#26200)
1414
1415 %cmake_qt6 \
1416 -DQT_FEATURE_accessibility=ON \
1417 -DQT_FEATURE_fontconfig=ON \
1418 -DQT_FEATURE_glib=ON \
1419 -DQT_FEATURE_sse2=%{?no_sse2:OFF}%{!?no_sse2:ON} \
1420 -DQT_FEATURE_icu=ON \
1421 -DQT_FEATURE_enable_new_dtags=ON \
1422 -DQT_FEATURE_cups=%{?with_cups:ON}%{!?with_cups:OFF} \
1423 -DQT_FEATURE_journald=%{?with_journald:ON}%{!?with_journald:OFF} \
1424 -DQT_FEATURE_openssl_linked=ON \
1425 -DQT_FEATURE_separate_debug_info=OFF \
1426 -DQT_FEATURE_reduce_relocations=OFF \
1427 -DQT_FEATURE_relocatable=OFF \
1428 -DQT_FEATURE_system_jpeg=ON \
1429 -DQT_FEATURE_system_png=ON \
1430 -DQT_FEATURE_system_zlib=ON \
1431 -DQT_FEATURE_system_textmarkdownreader=ON \
1432 -DQT_FEATURE_dbus_linked=%{?with_dbus_linked:ON}%{!?with_dbus_linked:OFF} \
1433 -DQT_FEATURE_system_pcre2=%{?with_pcre:ON}%{!?with_pcre:OFF} \
1434 -DQT_FEATURE_system_sqlite=%{?with_sqlite:ON}%{!?with_sqlite:OFF} \
1435 -DQT_FEATURE_sql_odbc=%{?with_odbc:ON}%{!?with_odbc:OFF} \
1436 -DQT_FEATURE_sql_mysql=%{?with_mysql:ON}%{!?with_mysql:OFF} \
1437 -DQT_FEATURE_sql_psql=%{?with_postgres:ON}%{!?with_postgres:OFF} \
1438 -DQT_FEATURE_sql_sqlite=%{?with_sqlite:ON}%{!?with_sqlite:OFF} \
1439 -DQT_FEATURE_sql_tds=%{?with_tds:ON}%{!?with_tds:OFF} \
1440 -DQT_FEATURE_sql_ibase=%{?with_ibase:ON}%{!?with_ibase:OFF} \
1441 -DQT_FEATURE_use_gold_linker=%{?with_use_gold_linker:ON}%{!?with_use_gold_linker:OFF} \
1442 -DBUILD_SHARED_LIBS=ON \
1443 -DQT_BUILD_EXAMPLES=%{?with_examples:ON}%{!?with_examples:OFF} \
1444 -DQT_BUILD_TESTS=%{?with_tests:ON}%{!?with_tests:OFF} \
1445 -DQT_QMAKE_TARGET_MKSPEC=%{platform}
1446
1447 RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
1448
1449 ################## Build of QtBase ########################################
1450
1451 %cmake_build -j $RPM_BUILD_NCPUS
1452
1453 ################## Build of Docs ########################################
1454 %if %{build_docs}
1455 # HACK to avoid multilib conflicts in noarch content
1456 # see also https://bugreports.qt-project.org/browse/QTBUG-42071
1457 QT_HASH_SEED=0; export QT_HASH_SEED
1458
1459 %__make docs
1460 %endif
1461
1462 %install
1463 %cmake_install
1464
1465 # create/own dirs
1466 mkdir -p %{buildroot}{%{_qt6_archdatadir}/mkspecs/modules,%{_qt6_importdir},%{_qt6_libexecdir},%{_qt6_plugindir}/{designer,iconengines,script,styles},%{_qt6_translationdir}}
1467 mkdir -p %{buildroot}%{_sysconfdir}/xdg/QtProject
1468
1469 # symlink files to {_bindir}, add -qt6 postfix to not conflict
1470 mkdir %{buildroot}%{_bindir}
1471 pushd %{buildroot}%{_qt6_bindir}
1472 for i in * ; do
1473 case "${i}" in
1474 qdbuscpp2xml|qdbusxml2cpp|qtpaths)
1475 ln -v ${i} %{buildroot}%{_bindir}/${i}-qt6
1476 ;;
1477 *)
1478 ln -v ${i} %{buildroot}%{_bindir}/${i}
1479 ;;
1480 esac
1481 done
1482 popd
1483
1484 # hardlink files to {_bindir}, add -qt6 postfix to not conflict
1485 pushd %{buildroot}%{_qt6_libdir}
1486 for i in * ; do
1487 case "${i}" in
1488 moc|qlalr|qvkgen|qmake|rcc|tracegen|uic)
1489 ln -v ${i} %{buildroot}%{_libdir}/${i}-qt6
1490 ;;
1491 esac
1492 done
1493 popd
1494
1495 %if %{build_docs}
1496 %make_install install_docs INSTALL_ROOT=%{buildroot}
1497 %endif
1498
1499 install -m644 -p -D %{SOURCE1} %{buildroot}%{_qt6_datadir}/qtlogging.ini
1500
1501 install -d %{buildroot}%{_qt6_docdir}
1502 install -d %{buildroot}%{_sysconfdir}
1503 install -d %{buildroot}%{_sysconfdir}/profile.d
1504
1505 # Fix mkspec link
1506 pushd %{buildroot}%{_qt6_archdatadir}/mkspecs
1507 rm -f default
1508 ln -sf %{_qt6_archdatadir}/mkspecs/linux-g++ default
1509 popd
1510
1511 # Restore qmake.conf to the upstream version which was backed up in %%prep
1512 mv %{buildroot}%{_qt6_archdatadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt6_archdatadir}/mkspecs/linux-g++/qmake.conf
1513
1514 # Fix all buildroot paths
1515 find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
1516 find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
1517 find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
1518 find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
1519 find %{buildroot}%{_qt6_archdatadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
1520 find %{buildroot}%{_qt6_archdatadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;
1521
1522 # Install rpm macros
1523 #mkdir -p %%{buildroot}%%{_sysconfdir}/rpm/macros.d
1524 #install -m 0644 %%{SOURCE2} %%{buildroot}%%{_sysconfdir}/rpm/macros.d
1525
1526 # Profiles
1527 cat > %{buildroot}%{_sysconfdir}/profile.d/60qt6.sh << EOF
1528 #!/bin/bash
1529 QTDIR6="%{_qt6_archdatadir}" ; export QTDIR6 ;
1530
1531 [ -z \$QT6DOCDIR ] && export QT6DOCDIR=%{_qt6_docdir}
1532
1533 if [ -z \$(echo \$PATH | grep "%{_qt6_bindir}") ]; then
1534 PATH=\${PATH}:%{_qt6_bindir}
1535 export PATH
1536 fi
1537 EOF
1538
1539 cat > %{buildroot}%{_sysconfdir}/profile.d/60qt6.csh << EOF
1540 #!/bin/csh
1541 setenv QTDIR6 %{_qt6_archdatadir}
1542 if ( ! \$?QT6DOCDIR ) setenv QT6DOCDIR %{_qt6_docdir}
1543 set path = (\$path \$QTDIR6/bin)
1544
1545 EOF
1546
1547 # Taken from OpenSUSE
1548 # syncqt is installed in both %%_qt6_bindir and %%_qt6_libdir
1549 # QtSyncQtHelpers.cmake needs the libexec one...and qmake the other one.
1550 # Creating a symlink is not necessary
1551 ln -s %{_libdir}/syncqt.pl %{buildroot}%{_qt6_bindir}/syncqt.pl
1552
1553 rm %{buildroot}%{_bindir}/qt-cmake-private-install.cmake
1554
1555 # Use better location for some new scripts in qtbase-6.0.1
1556 mv %{buildroot}%{_qt6_libdir}/android_emulator_launcher.sh %{buildroot}%{_qt6_bindir}/android_emulator_launcher.sh
1557 mv %{buildroot}%{_qt6_libdir}/ensure_pro_file.cmake %{buildroot}%{_qt6_libdir}/cmake/Qt6/ensure_pro_file.cmake
1558
1559 # .la and .a files, die, die, die.
1560 rm -f %{buildroot}%{_qt6_libdir}/lib*.la
1561 # .a files are needed by qttools6
1562 #rm -f %%{buildroot}%%{_qt6_libdir}/lib*.a

  ViewVC Help
Powered by ViewVC 1.1.30